%define aurox_ver 10.2
%define rel 1

Summary: Support for Polish interface in Mozilla
Name: mozilla-i18n-Polish
Version: 1.7.5
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://www.mozillapl.org/
#Source: http://heanet.dl.sourceforge.net/sourceforge/mozillapl/Lang-PL-Build-ID-%{version}.xpi
#Source: http://heanet.dl.sourceforge.net/sourceforge/mozillapl/mozilla-%{version}-plPL-langpack.xpi
#Source: http://ftp28f.newaol.com/pub/mozilla.org/mozilla/l10n/lang/moz1.72/langplpl.xpi
Source: http://ftp.mozilla.org/pub/mozilla.org/mozilla/l10n/lang/moz1.75/mozilla-1.7.5.pl-PL.langpack.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla >= %{version}
BuildPreReq: unzip, dos2unix

%description
Polish translation of the Mozilla interface

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}
## patch jars to work with 1.4
#pushd bin/chrome
#  mv pl-PL.jar old-pl-PL.jar
#  mv pl-unix.jar old-pl-unix.jar
#  unzip old-pl-PL.jar
#  find ./ -name contents.rdf -exec %{SOURCE1} \{} \;
#  zip -r pl-PL.jar locale
#  rm -rf locale
#  unzip old-pl-unix.jar
#  find ./ -name contents.rdf -exec %{SOURCE1} \{} \;
#  zip -r pl-unix.jar locale
#  rm -rf locale
#popd

%build
dos2unix install.js
grep 'registerChrome(LOCALE ' install.js | grep chromeName | awk '{print $8}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/pl-PL.jar!/locale/pl-PL/",$1,"/"}' > lang-pl-PL.jar.txt
grep 'registerChrome(LOCALE ' install.js | grep platformName | awk '{print $8}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/pl-unix.jar!/locale/pl-PL/",$1,"/"}' > lang-pl-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f bin/chrome/pl-PL.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/pl-PL.jar
cp -f bin/chrome/pl-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/pl-unix.jar
cp -f lang-pl-PL.jar.txt lang-pl-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt
#/usr/lib/mozilla-i18n-%{version}/*

%changelog
* Wed Feb 09 2005 Aurox Team <aurox@aurox.org> 0:1.7.5-10.2.aur.1


* Mon Sep 27 2004 Aurox Team <aurox@aurox.org> 0:1.7.3-10.1.aur.1
- Update to Mozilla 1.7.3
- for version 1.7.1
- *.xpi from mozilla.org

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.1
- Update to Mozilla 1.4 final

* Sun Jun 29 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.4
- fix contents.rdf so it will work with mozilla 1.4-post-beta

* Sun Jun 29 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.2
- install.js needs install.js
- use original filename pl-unix.jar, not pl-PL-unix.jar

* Sat Jun 28 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.1
- Update to translation of Mozilla 1.4 RC1

* Thu Feb 13 2003 Robert Glowczynski <robertg@software.com.pl>
- Update to Mozilla 1.2.1

* Mon Oct 14 2002 Robert Główczyński <robertg@software.com.pl>
- Initial build for Aurox Linux (default labels modified)

